Help Center

Follow

System requirements

Capture_d__cran_2017-10-07___10.18.32.png

- iOS -

iOS 8+ devices with Bluetooth 4.0 BLE

iPhone 4S, 5, 5C, 5s, 6, 6s, 6s plus, 7, 7 plus, 8, 8 plus & X

iPad (3rd, 4th and 5th generation), iPad Mini,

iPod touch (5th generation)

Capture_d__cran_2017-10-07___10.18.44.png

- Android -

Selected Android 5.0+ devices that support

Bluetooth 4.0 BLE

 It is required to install ZeTime mobile app on your smartphone to properly set up and use your watch.

 

Capture_d__cran_2017-10-07___10.18.24.png Capture_d__cran_2017-10-07___10.18.18.png

Click here to get the latest compatibility list

 

Was this article helpful?
3 out of 4 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk